### Enumeration

# GUPnPAV DIDLLiteFragmentResult

#### Declaration

    enum GUPnPAV.DIDLLiteFragmentResult

#### Description [src]

Possible return values of the `gupnp_didl_lite_object_apply_fragments()` call.

#### Members

`GUPNP_DIDL_LITE_FRAGMENT_RESULT_OK`

  Operation succeeded.

  - Value: `0`
  - Available since: 1.0
`GUPNP_DIDL_LITE_FRAGMENT_RESULT_CURRENT_BAD_XML`

  Current set of fragments is bad XML.

  - Value: `1`
  - Available since: 1.0
`GUPNP_DIDL_LITE_FRAGMENT_RESULT_NEW_BAD_XML`

  New set of fragments is bad XML.

  - Value: `2`
  - Available since: 1.0
`GUPNP_DIDL_LITE_FRAGMENT_RESULT_CURRENT_INVALID`

  Current set of fragments is invalid.

  - Value: `3`
  - Available since: 1.0
`GUPNP_DIDL_LITE_FRAGMENT_RESULT_NEW_INVALID`

  New set of fragments is invalid.

  - Value: `4`
  - Available since: 1.0
`GUPNP_DIDL_LITE_FRAGMENT_RESULT_REQUIRED_TAG`

  Trying to remove a required tag.

  - Value: `5`
  - Available since: 1.0
`GUPNP_DIDL_LITE_FRAGMENT_RESULT_READONLY_TAG`

  Trying to modify or remove a read-only tag.

  - Value: `6`
  - Available since: 1.0
`GUPNP_DIDL_LITE_FRAGMENT_RESULT_MISMATCH`

  Length of the two fragment sets does not match.

  - Value: `7`
  - Available since: 1.0
`GUPNP_DIDL_LITE_FRAGMENT_RESULT_UNKNOWN_ERROR`

  General error sink if none of the others applies.

  - Value: `8`
  - Available since: 1.0